C SUBROUTINE FILE 'PLOTVAX.FOR' - PLOT INTERFACE SUBROUTINES TO BUPLOT
C ROUTINES ON VAX COMPUTERS
C
C=======================================================================
C
      SUBROUTINE PLOTS(I1,I2,I3)
      INTEGER I1,I2,I3
C
C INPUT:
C     I1,I2,I3...ANY INTEGERS.  IGNORED.
C
C NO OUTPUT.
C
C SUBROUTINES AND EXTERNAL FUNCTIONS REQUIRED:
      EXTERNAL OPNPLT,ADVPLT
C     SUBROUTINE OPNPLT(MODE,WIDTH,NTERM)
C     SUBROUTINE ADVPLT()
C
C DATE: 1990, JANUARY 17
C CODED BY LUDEK KLIMES
C
C-----------------------------------------------------------------------
C
C     FLAG IF THE PLOT IS INITIALIZED
      LOGICAL OPEN
      SAVE OPEN
      DATA OPEN/.FALSE./
C
      IF(OPEN) THEN
        CALL ADVPLT()
      END IF
      CALL OPNPLT(1,21.4,4010)
      OPEN=.TRUE.
      RETURN
      END
C
C=======================================================================
C
C     SUBROUTINE PLOT(XPAGE,YPAGE,IPEN) IS CONTAINED IN BUPLOT SYSTEM.
C
C     NOTE: THE FEATURE IPEN=999 IS IGNORED.  THUS, PLOTTING WILL NOT
C     BE CLOSED.
C
C=======================================================================
C
      SUBROUTINE NEWPEN(INP)
      INTEGER INP
C
C INPUT:
C     INP... SPECIFIES COLOUR.
C
C NO OUTPUT.
C
C SUBROUTINES AND EXTERNAL FUNCTIONS REQUIRED:
      EXTERNAL PCOLOR
C     SUBROUTINE PCOLOR(INP)
C
C DATE: 1989, DECEMBER 19
C CODED BY LUDEK KLIMES
C
C-----------------------------------------------------------------------
C
C     AUXILIARY STORAGE LOCATIONS:
C
      CALL PCOLOR(INP)
      RETURN
      END
C
C=======================================================================
C
